Skip to main content

Forward Wrapper API:

Description: Use this API to do multiple tasks in one go, namely creating a quick order, requesting its shipment, and finally generating the label and the manifest for the same order.

This API integrates several other APIs to perform all these tasks together.

Tasks:

  • Create order
  • Create shipment
  • Run serviceability
  • Check courier rule / priority
  • Assign AWB
  • Generate pickup manifest
  • Generate label PDF
  • Generate invoice PDF
  • Generate manifest PDF

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/wrapper
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl


curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/wrapper' \
--header 'rapidshyp-token: \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "1111111111",
"orderDate": "2023-06-30",
"pickupAddressName": "Home",
"pickupLocation": {
"contactName": "abcd",
"pickupName": "New Seller 1100ordrr01",
"pickupEmail": "abc@gmail.com",
"pickupPhone": "9999999999",
"pickupAddress1": "New Delhi Seller",
"pickupAddress2": "New Delhi 2 Seller",
"pinCode": "110001"
},
"storeName": "DEFAULT",
"billingIsShipping": true,
"shippingAddress": {
"firstName": "abcd",
"lastName": "EXT",
"addressLine1": "Delhi",
"addressLine2": "New Delhi",
"pinCode": "110001",
"email": "abc@gmail.com",
"phone": "9999999999"
},
"billingAddress": {
"firstName": "Jane",
"lastName": "Doe",
"addressLine1": "456 Elm St",
"addressLine2": "Apt 101",
"pinCode": "110001",
"email": "jane.doe@example.com",
"phone": "9999999999"
},
"orderItems": [
{
"itemName": "Product 1",
"sku": "SKU123",
"description": "Description of product 1",
"units": 5,
"unitPrice": 10.0,
"tax": 0.0,
"hsn": "HSN123",
"productLength": 10.0,
"productBreadth": 5.0,
"productHeight": 2.0,
"productWeight": 0.5,
"brand": "Brand A",
"imageURL": "https://abcd.jpeg",
"isFragile": false,
"isPersonalisable": false
},
{
"itemName": "Product 2",
"sku": "SKU456",
"description": "Description of product 2",
"units": 2,
"unitPrice": 20.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 15.0,
"productBreadth": 7.0,
"productHeight": 3.0,
"productWeight": 0.8,
"brand": "Brand B",
"imageURL": "https://abcd.jpeg",
"isFragile": true,
"isPersonalisable": true
}
],
"paymentMethod": "COD",
"shippingCharges": 100.0,
"giftWrapCharges": 0.0,
"transactionCharges": 0.0,
"totalDiscount": 0.0,
"totalOrderValue": 500.0,
"codCharges": 0.0,
"prepaidAmount": 0.0,
"packageDetails": {
"packageLength": 20.0,
"packageBreadth": 10.0,
"packageHeight": 5.0,
"packageWeight": 2000.0
}
}'

Note: Either pass unit price or total order value field both cannot be passed in the request body

Request ParametersRequirementRemarkValidation
{
orderIdMandatorySeller order ID on channel/store/websiteMinimum 1 character
orderDateMandatoryOrder created date on channel/store/websiteFormat: YYYY-MM-DD
pickupAddressNameConditionally-MandatoryPickup name created on Rapidshyp platformAPI user can either pass pickup name or create pickup. If both details are shared, system will create order on the provided pickup name and will not create a new pickup location.
pickupLocationConditionally-MandatoryCreate pickup location on order creation itself
{
contactNameMandatoryLocation contact POC nameMinimum 1 character
pickupNameMandatoryName of the warehouse/storePickup address name must be between 3 and 75 characters long
pickupEmailMandatoryLocation contact POC email
pickupPhoneMandatoryLocation contact POC phone numberPhone number must start from 6, 7, 8, or 9
pickupAddress1MandatoryWarehouse/store address line 1Pickup address line 1 must be between 3 and 100 characters long
pickupAddress2Non-MandatoryWarehouse/store address line 2If entered, pickup address line 2 must be between 3 and 100 characters long
pinCodeMandatoryLocation PincodeMust be 6-digit pincode
},
storeNameMandatoryStore name created on RapidshypIf you have one custom channel, pass "DEFAULT"
billingIsShippingMandatoryPass true if both shipping and billing are same. In case false, billing address cannot be empty.
shippingAddressMandatoryShipping address details
{
firstNameMandatoryCustomer first nameThe combined length of first and last name in the shipping address must be between 3 and 75 characters.
lastNameNon-MandatoryCustomer last name
addressLine1MandatoryShipping address line 1Must be between 3 and 100 characters long
addressLine2Non-MandatoryCustomer Address line 2If entered, Shipping address line 2 must be between 3 and 100 characters long.
pinCodeMandatoryCustomer address pincodeMust be 6 digit valid pincode
emailNon-MandatoryCustomer email
phoneMandatoryCustomer phone numberPhone number must start from 6,7,8,9
},
billingAddressConditionally-MandatoryOnly pass incase billingIsShipping: false
{
firstNameMandatoryBilling customer first nameThe combined length of the first and last name in the shipping address must be between 3 and 75 characters.
lastNameNon-MandatoryBilling customer last name
addressLine1MandatoryBilling customer Address line 1Billing address line 1 must be between 3 and 100 characters long
addressLine2Non-MandatoryBilling customer Address line 2If entered, Billing address line 2 must be between 3 and 100 characters long
pinCodeMandatoryBilling customer Address PincodeMust be 6 digit valid pincode
emailMandatoryBilling customer email
phoneMandatoryBilling customer phone numberPhone number must start from 6,7,8,9
},
orderItemsMandatoryItem level details
{
itemNameMandatoryItem NameOrder line item name must be between 3 and 200 characters long
skuNon-MandatoryItem SKU IdOrder line item sku must be between 3 and 200 characters long
descriptionNon-MandatoryDescription of productMinimum 1 character
unitsMandatoryQuantity of itemsItem quantity must be greater than 0 in items
unitPrice (Either this or total unit value)Conditionally-MandatoryUnit price of SKU inclusive of TaxesItem unit price must be greater than 0 in items. Note: Either pass unit price or total order value field, both cannot be passed in the request body.
taxMandatoryTaxPass 0 incase of zero tax item
hsnNon-MandatoryHSN code
productLengthNon-MandatoryProduct dimension lengthIn cm
productBreadthNon-MandatoryProduct dimension breadthIn cm
productHeightNon-MandatoryProduct dimension heightIn cm
productWeightNon-MandatoryProduct dimension weightIn gm
brandNon-MandatoryBrand of product
imageURLNon-MandatoryImage URL
isFragileNon-MandatoryIf fragile item, pass true
isPersonalisableNon-MandatoryIf personalisable, pass true
},
],
paymentMethodMandatoryPayment mode of orderPayment mode — please choose from [COD, PREPAID]
shippingChargesNon-MandatoryShipping charges
giftWrapChargesNon-MandatoryGift wrap charges
transactionChargesNon-MandatoryTransaction charges
totalDiscountNon-MandatoryTotal discount
totalOrderValueConditionally-MandatoryTotal order valueNote: either pass unit price or total order value field — both cannot be passed in the request body.
codChargesNon-MandatoryCOD charges
prepaidAmountNon-MandatoryPrepaid amountPass partially paid amount in case of partial paid order. System then calculates collectible amount. Prepaid amount is only applicable on COD payment mode.
packageDetailsMandatoryPrepaid amount
{
packageLengthMandatorypackageLengthIn cm
packageBreadthMandatorypackageBreadthIn cm
packageHeightMandatorypackageHeightIn cm
packageWeightMandatorypackageWeightIn gm
}
}

Response:

JSON



{
"status": "SUCCESS",
"remarks": "",
"orderId": "1111111111",
"orderCreated": true,
"shipment": [
{
"shipmentId": "1111111111",
"awbGenerated": true,
"labelGenerated": true,
"pickupScheduled": true,
"awb": "1111111111111",
"courierCode": "Ecom Express Surface",
"courierName": "Ecom Express Surface",
"parentCourierName": "Ecom Express",
"appliedWeight": 63.0,
"labelURL": "https://rapidshyp_labels/Label_10Jul24.pdf",
"manifestURL": "https://rapidshyp-public.s3.ap-south-1.amazonawsanifest_52.pdf",
"routingCode": "NOI",
"rtoRoutingCode": "NOI",
"pickupName": "Home",
"paymentMethod": "COD",
"shippingCharges": 100.0,
"giftWrapCharges": 0.0,
"transactionCharges": 0.0,
"totalDiscount": 0.0,
"totalOrderValue": 150.0,
"prepaidAmount": 0.0,
"collectableAmount": 150.0,
"shipmentLines": [
{
"name": "Pwerew",
"sku": "Sqwer",
"units": 1,
"sellingPrice": 10.0
},
{
"name": "Product 2",
"sku": "Product 2",
"units": 2,
"sellingPrice": 40.0
}
]
}
]
}